Package docking.wizard

# Class AbstractMagePanelManager<T>

java.lang.Object
docking.wizard.AbstractMagePanelManager<T>

All Implemented Interfaces:
  `PanelManager`

public abstract class AbstractMagePanelManager<T> extends Object implements PanelManager

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractMagePanelManager(WizardState<T> initialState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Method called when the user wants to cancel the process.
  `final boolean`
  `canFinish()`
  Return true if the "finish" step can be completed.
  `protected abstract Collection<? extends MagePanel<T>>`
  `createPanels()`
  `protected abstract void`
  `doFinish()`
  `final void`
  `finish()`
  Method called when the user wants to finish the process.
  `protected final MagePanel<T>`
  `getCurrentPanel()`
  `WizardPanel`
  `getInitialPanel()`
  Get the first panel in the process.
  `final WizardPanel`
  `getNextPanel()`
  Get the next panel in the process.
  `protected final List<MagePanel<T>>`
  `getPanels()`
  `Dimension`
  `getPanelSize()`
  Get the size of the panels.
  `final WizardPanel`
  `getPreviousPanel()`
  Get the previous panel in the process.
  `protected WizardState<T>`
  `getState()`
  `final String`
  `getStatusMessage()`
  Get the status message for the current panel.
  `final WizardManager`
  `getWizardManager()`
  Get the wizard manager.
  `final boolean`
  `hasNextPanel()`
  Return true if there is a "next" panel.
  `final boolean`
  `hasPreviousPanel()`
  Return true if there is a "previous" panel.
  `final void`
  `initialize()`
  Set up the panel process.
  `protected void`
  `initializeHook()`
  `protected final void`
  `setStatusMessage(String msg)`
  `final void`
  `setWizardManager(WizardManager wm)`
  Set the wizard manager for this panel manager.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractMagePanelManager

    protected AbstractMagePanelManager(WizardState<T> initialState)

- ## Method Details

  - ### createPanels

    protected abstract Collection<? extends MagePanel<T>> createPanels()

  - ### getState

    protected WizardState<T> getState()

  - ### cancel

    public void cancel()
    Description copied from interface: `PanelManager`
    Method called when the user wants to cancel the process.
    Specified by:
      `cancel` in interface `PanelManager`

  - ### getWizardManager

    public final WizardManager getWizardManager()
    Description copied from interface: `PanelManager`
    Get the wizard manager.
    Specified by:
      `getWizardManager` in interface `PanelManager`
    Returns:
      WizardManager wizard manager for this panel manager

  - ### setWizardManager

    public final void setWizardManager(WizardManager wm)
    Description copied from interface: `PanelManager`
    Set the wizard manager for this panel manager.
    Specified by:
      `setWizardManager` in interface `PanelManager`
    Parameters:
      `wm` - wizard manager that calls the methods on this panel manager

  - ### getPanelSize

    public Dimension getPanelSize()
    Description copied from interface: `PanelManager`
    Get the size of the panels.
    Specified by:
      `getPanelSize` in interface `PanelManager`
    Returns:
      Dimension size of the panel

  - ### getStatusMessage

    public final String getStatusMessage()
    Description copied from interface: `PanelManager`
    Get the status message for the current panel.
    Specified by:
      `getStatusMessage` in interface `PanelManager`
    Returns:
      String message to display; may be null if there is no message that should be displayed

  - ### setStatusMessage

    protected final void setStatusMessage(String msg)

  - ### initializeHook

    protected void initializeHook()

  - ### initialize

    public final void initialize()
    Description copied from interface: `PanelManager`
    Set up the panel process. This may also be called to clear the state of an existing panel, such as when the overall wizard is finished.
    Specified by:
      `initialize` in interface `PanelManager`

  - ### getCurrentPanel

    protected final MagePanel<T> getCurrentPanel()

  - ### hasNextPanel

    public final boolean hasNextPanel()
    Description copied from interface: `PanelManager`
    Return true if there is a "next" panel.
    Specified by:
      `hasNextPanel` in interface `PanelManager`
    Returns:
      boolean true means there is a next panel to display

  - ### hasPreviousPanel

    public final boolean hasPreviousPanel()
    Description copied from interface: `PanelManager`
    Return true if there is a "previous" panel.
    Specified by:
      `hasPreviousPanel` in interface `PanelManager`
    Returns:
      boolean true means there is a previous panel to display

  - ### canFinish

    public final boolean canFinish()
    Description copied from interface: `PanelManager`
    Return true if the "finish" step can be completed.
    Specified by:
      `canFinish` in interface `PanelManager`
    Returns:
      boolean true if ok to finish

  - ### getNextPanel

    public final WizardPanel getNextPanel() throws IllegalPanelStateException
    Description copied from interface: `PanelManager`
    Get the next panel in the process.
    Specified by:
      `getNextPanel` in interface `PanelManager`
    Returns:
      WizardPanel the next panel
    Throws:
      `IllegalPanelStateException` - if an IOException or other unexpected error occurs

  - ### getInitialPanel

    public WizardPanel getInitialPanel() throws IllegalPanelStateException
    Description copied from interface: `PanelManager`
    Get the first panel in the process.
    Specified by:
      `getInitialPanel` in interface `PanelManager`
    Returns:
      WizardPanel the first panel
    Throws:
      `IllegalPanelStateException` - if an IOException or other unexpected error occurs

  - ### getPreviousPanel

    public final WizardPanel getPreviousPanel() throws IllegalPanelStateException
    Description copied from interface: `PanelManager`
    Get the previous panel in the process.
    Specified by:
      `getPreviousPanel` in interface `PanelManager`
    Returns:
      WizardPanel the previous panel
    Throws:
      `IllegalPanelStateException` - if an IOException or other unexpected error occurs

  - ### doFinish

    protected abstract void doFinish() throws IllegalPanelStateException
    Throws:
      `IllegalPanelStateException`

  - ### finish

    public final void finish() throws IllegalPanelStateException
    Description copied from interface: `PanelManager`
    Method called when the user wants to finish the process.
    Specified by:
      `finish` in interface `PanelManager`
    Throws:
      `IllegalPanelStateException` - if an IOException or other unexpected error occurs

  - ### getPanels

    protected final List<MagePanel<T>> getPanels()